FactoryClassSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.hibernate.FactoryClassSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.hibernate
Class FactoryClassSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.hibernate.FactoryClassSubTask

All Implemented Interfaces:
  xdoclet.modules.hibernate.HibernateProperties, Serializable

public class FactoryClassSubTask
extends TemplateSubTask
implements xdoclet.modules.hibernate.HibernateProperties

Generate a SessionFactory facade that is capable of configuring Hibernate inline, as well as provide a convenient method of switching later to other SessionFactory implementations.

Version:
  $Revision: 1.8 $
Author:
  Brian Topping (topping@bill2.com)
See Also:
  Serialized Form
ant.element
  name="factoryclass" display-name="Factory class generator" parent="xdoclet.modules.hibernate.HibernateDocletTask" @ xdoclet.merge-file file="hibernate-factory-custom.xdt" relates-to="HibernateFactory.java" description="A Java unparsed entity or XDoclet template file, for custom elements to be included in the generated HibernateFactory.java"
created
  August 8, 2003

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`FactoryClassSubTask()` Constructor for the HibernateSubTask object

Method Summary
`protected void` | `engineStarted()` Called when the engine is started
`void` | `execute()` Describe what the method does
`String` | `getDataSource()`
`String` | `getDialect()`
`String` | `getDriver()`
`String` | `getFactoryClass()`
`protected String` | `getGeneratedFileName(xjavadoc.XClass clazz)` Gets the GeneratedFileName attribute of the EntityCmpSubTask object
`String` | `getJdbcUrl()`
`String` | `getJndiName()`
`Collection` | `getJndiProperties()`
`Collection` | `getOtherMappings()` We don't provide/have/use other mappings here for now.
`Collection` | `getOtherProperties()`
`String` | `getPassword()`
`String` | `getPoolSize()`
`boolean` | `getShowSql()`
`String` | `getTransactionManagerStrategy()`
`boolean` | `getUseOuterJoin()`
`String` | `getUsername()`
`String` | `getUserName()`
`String` | `getUserTransactionName()`
`boolean` | `isUseJndiFactory()`
`void` | `setDataSource(String dataSource)` The data source name to be generated into the factory
`void` | `setDialect(String dialect)` The Hibernate DB dialect to be generated into the factory
`void` | `setDriver(String driver)` The driver class name to be generated into the factory
`void` | `setFactoryClass(String factoryClass)` The fully qualified class name of the generated factory
`void` | `setJdbcUrl(String jdbcUrl)`
`void` | `setJndiName(String jndiName)`
`void` | `setPassword(String password)` The password to be generated into the factory
`void` | `setPoolSize(String poolSize)`
`void` | `setUseJndiFactory(boolean useJndiFactory)`
`void` | `setUsername(String username)` The username to be generated into the factory
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactoryClassSubTask

    public FactoryClassSubTask()

  Constructor for the HibernateSubTask object

Method Detail

### getDataSource

    public String getDataSource()

  Specified by:
    `getDataSource` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getDialect

    public String getDialect()

  Specified by:
    `getDialect` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getDriver

    public String getDriver()

  Specified by:
    `getDriver` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getUsername

    public String getUsername()

### getFactoryClass

    public String getFactoryClass()

### isUseJndiFactory

    public boolean isUseJndiFactory()

### getJndiProperties

    public Collection getJndiProperties()

  Specified by:
    `getJndiProperties` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getOtherMappings

    public Collection getOtherMappings()

  We don't provide/have/use other mappings here for now.

  Specified by:
    `getOtherMappings` in interface `xdoclet.modules.hibernate.HibernateProperties`
  See Also:
    `HibernateProperties.getOtherMappings()`

### getOtherProperties

    public Collection getOtherProperties()

  Specified by:
    `getOtherProperties` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getTransactionManagerStrategy

    public String getTransactionManagerStrategy()

  Specified by:
    `getTransactionManagerStrategy` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getUserTransactionName

    public String getUserTransactionName()

  Specified by:
    `getUserTransactionName` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getUserName

    public String getUserName()

  Specified by:
    `getUserName` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getUseOuterJoin

    public boolean getUseOuterJoin()

  Specified by:
    `getUseOuterJoin` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getShowSql

    public boolean getShowSql()

  Specified by:
    `getShowSql` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getJndiName

    public String getJndiName()

  Specified by:
    `getJndiName` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getJdbcUrl

    public String getJdbcUrl()

  Specified by:
    `getJdbcUrl` in interface `xdoclet.modules.hibernate.HibernateProperties`

### getPoolSize

    public String getPoolSize()

  Specified by:
    `getPoolSize` in interface `xdoclet.modules.hibernate.HibernateProperties`

### setJndiName

    public void setJndiName(String jndiName)

  Parameters:
    `jndiName` -

### setJdbcUrl

    public void setJdbcUrl(String jdbcUrl)

  Parameters:
    `jdbcUrl` -

### setPoolSize

    public void setPoolSize(String poolSize)

  Parameters:
    `poolSize` -

### setDataSource

    public void setDataSource(String dataSource)

  The data source name to be generated into the factory

  Parameters:
    `dataSource` -

### setDialect

    public void setDialect(String dialect)

  The Hibernate DB dialect to be generated into the factory

  Parameters:
    `dialect` -

### setDriver

    public void setDriver(String driver)

  The driver class name to be generated into the factory

  Parameters:
    `driver` -

### setPassword

    public void setPassword(String password)

  The password to be generated into the factory

  Parameters:
    `password` -

### setUsername

    public void setUsername(String username)

  The username to be generated into the factory

  Parameters:
    `username` -

### setFactoryClass

    public void setFactoryClass(String factoryClass)

  The fully qualified class name of the generated factory

  Parameters:
    `factoryClass` -

### setUseJndiFactory

    public void setUseJndiFactory(boolean useJndiFactory)

  Parameters:
    `useJndiFactory` -

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Description copied from class: `TemplateSubTask`
  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### execute

    public void execute()
                 throws XDocletException

  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

### getGeneratedFileName

    protected String getGeneratedFileName(xjavadoc.XClass clazz)
                                   throws XDocletException

  Gets the GeneratedFileName attribute of the EntityCmpSubTask object

  Overrides:
    `getGeneratedFileName` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The GeneratedFileName value
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Called when the engine is started

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Thrown in case of problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD